Page MenuHomePhabricator

Implement basic UI for the talk page resolution suggestion
Closed, ResolvedPublic3 Estimated Story Points

Description

This is about the basic implementation for the UI according to the following mock:

The ticket includes:

  • Showing the two two different additions underneath each other
  • Showing the (potentially two) collapsed and expandable copy blocks above and below
  • The clickable edit icon on your addition
  • The edit mode on your addition like it is implemented in the normal UI
  • Submitting the edits and the preview

The ticket does not include

  • The drag and drop functionality
  • The popup for that usecase

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptFeb 4 2020, 2:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
thiemowmde set the point value for this task to 8.
thiemowmde added subscribers: awight, WMDE-Fisch.
WMDE-Fisch renamed this task from Add code to auto-resolve talk page conflicts to Implement basic UI for the resolution suggestion.Mar 18 2020, 11:44 AM
WMDE-Fisch updated the task description. (Show Details)
WMDE-Fisch moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2020-03-18 board.
awight claimed this task.Mar 19 2020, 4:37 PM

Stealing the task. Hopefully this is the one we were talking about?

Change 582014 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/TwoColConflict@master] Return suggested text blocks for talk conflicts

https://gerrit.wikimedia.org/r/582014

Change 582026 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/TwoColConflict@master] Extract styled textbox into a class

https://gerrit.wikimedia.org/r/582026

Change 582030 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/TwoColConflict@master] Rough UI for talk page use case

https://gerrit.wikimedia.org/r/582030

Change 582050 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/TwoColConflict@master] Disable editing on old and other for talk pages

https://gerrit.wikimedia.org/r/582050

Change 582264 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/TwoColConflict@master] Support preview for talk page case

https://gerrit.wikimedia.org/r/582264

Change 582267 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/TwoColConflict@master] Submit data for talk page use case

https://gerrit.wikimedia.org/r/582267

Still needs tests, but I've written the basic functionality first to unblock other work, and will move the task to review for visibility.

We should enable the feature flag on the beta cluster once patches are merged, so that daily browser tests pass and so that the feature can be demoed.

Change 582026 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Extract styled textbox into a class

https://gerrit.wikimedia.org/r/582026

Change 582050 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Disabled style of editable box

https://gerrit.wikimedia.org/r/582050

Change 583045 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/TwoColConflict@master] Heavily simplify mw.libs.twoColConflict.split.merger()

https://gerrit.wikimedia.org/r/583045

Change 583046 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/TwoColConflict@master] Streamline ResolutionSuggester implementation

https://gerrit.wikimedia.org/r/583046

Change 583047 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/TwoColConflict@master] Add validation method for talk page special case

https://gerrit.wikimedia.org/r/583047

Change 583045 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Heavily simplify mw.libs.twoColConflict.split.merger()

https://gerrit.wikimedia.org/r/583045

Change 583046 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Streamline ResolutionSuggester implementation

https://gerrit.wikimedia.org/r/583046

Change 582264 abandoned by Awight:
Support preview for talk page case

Reason:
This became one line, so squashed into its parent.

https://gerrit.wikimedia.org/r/582264

Change 583682 had a related patch set uploaded (by Awight; owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/TwoColConflict@master] [WIP] Add validation method for talk page special case

https://gerrit.wikimedia.org/r/583682

Change 582267 abandoned by Awight:
Allow single-column conflict resolution to validate

Reason:
Suggest I4418ed86816 instead.

https://gerrit.wikimedia.org/r/582267

Lena_WMDE changed the point value for this task from 8 to 1.
Lena_WMDE changed the point value for this task from 1 to 3.

Change 585467 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/TwoColConflict@master] [WIP] Basic talk page use case browser tests

https://gerrit.wikimedia.org/r/585467

Change 582014 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Return suggested text blocks for talk conflicts

https://gerrit.wikimedia.org/r/582014

Change 582030 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Rough UI for talk page use case

https://gerrit.wikimedia.org/r/582030

Change 583682 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Add validation method for talk page special case

https://gerrit.wikimedia.org/r/583682

Change 583047 abandoned by Thiemo Kreuz (WMDE):
[POC] Add validation method for talk page special case

Reason:
Obsolete via I4418ed8.

https://gerrit.wikimedia.org/r/583047

Tests are still pending code review, otherwise this is done. So I'll move it to "demo".

awight renamed this task from Implement basic UI for the resolution suggestion to Implement basic UI for the talk page resolution suggestion.Apr 7 2020, 8:11 PM
thiemowmde closed this task as Resolved.Apr 14 2020, 11:52 AM
thiemowmde moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2020-04-01 board.

Closing for now to clean up our boards. We won't forget about the browser test. The patch is there.

Change 585467 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Basic talk page use case browser tests

https://gerrit.wikimedia.org/r/585467